com.parse

## Interface GetCallback<T extends ParseObject>

    public interface GetCallback<T extends ParseObject>

A `GetCallback` is used to run code after a `ParseQuery` is used to fetch a `ParseObject` in a background thread.

The easiest way to use a `GetCallback` is through an anonymous inner class. Override the `done` function to specify what the callback should do after the fetch is complete. The `done` function will be run in the UI thread, while the fetch happens in a background thread. This ensures that the UI does not freeze while the fetch happens.

For example, this sample code fetches an object of class `"MyClass"` and id `myId`. It calls a different function depending on whether the fetch succeeded or not.

     ParseQuery<ParseObject> query = ParseQuery.getQuery("MyClass");
     query.getInBackground(myId, new GetCallback<ParseObject>() {
       public void done(ParseObject object, ParseException e) {
         if (e == null) {
           objectWasRetrievedSuccessfully(object);
         } else {
           objectRetrievalFailed();
         }
       }
     });

### Method Summary

Methods
`void` `done(T object, ParseException e)` Override this function with the code you want to run after the fetch is complete.

### Method Detail

#### done

    void done(T object,
            ParseException e)

Override this function with the code you want to run after the fetch is complete.

Parameters:
  `object` - The object that was retrieved, or `null` if it did not succeed.
  `e` - The exception raised by the fetch, or `null` if it succeeded.